
Redmine - Defect #2007

Amount of memory

2008-10-08 11:57 - Ollivier Robert

Status: Closed Start date: 2008-10-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

It may be a Rails issue in general but I can't help to notice the high memory footprint of redmine.  I run it with thin 1.0 and apache 2.2

as frontend on a FreeBSD 7.0/amd64 machine, ruby is 1.8.6p111.

roberto  76152  0.0  2.3 122388  59148  ??  S    Mon01PM   0:54.65 ruby18: thin server (127.0.0.1:3001) (ruby18)

roberto  76157  0.0  6.2 225964 161636  ??  S    Mon01PM   5:11.72 ruby18: thin server (127.0.0.1:3002) (ruby18)

I do not have much in redmine (3 projects), not much traffic (except for various search engine bots).  Any idea on how to reduce that?

History

#1 - 2008-10-15 16:46 - Thomas Lecavelier

- Status changed from New to Closed

Just refuse to bots all access to your redmine instance (use public/robots.txt as a base)

#2 - 2008-10-15 17:23 - Ollivier Robert

Well, just after startup, all instances take at least 120 MB of RAM before seeing any traffic at all...

roberto  23515 39.5  2.3 122388 59888  ??  S     5:29PM   0:06.46 ruby18: thin server (127.0.0.1:3002) (ruby18)

roberto  23510 38.1  2.3 122388 59888  ??  S     5:29PM   0:06.39 ruby18: thin server (127.0.0.1:3001) (ruby18)

#3 - 2008-10-16 03:43 - Eric Davis

I'm seeing about 103MB per active passenger with RMagick removed.  About standard for Rails (60-140MB per process):

---------- Passenger processes ----------

PID    Threads  VMSize    Private   Name

-----------------------------------------

26817  1        156.5 MB  103.4 MB  Rails: /home/websites/projects.littlestreamsoftware.com/releases/200810102
